/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.saas.dto.app;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 查询接口--数据传输对象：微服务
 * <p>
 * createdate:  2021-03-16 10:21:22  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "微服务")
public class SaaSAppQueryDto implements Serializable
{
  /**
   * 微服务名称<br>
   */
  @ApiModelProperty("微服务名称")
  private String appName;
  /**
   * 微服务显示名称<br>
   */
  @ApiModelProperty("微服务显示名称")
  private String appViewName;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;
  /**
   * 是否已删除<br>
   */
  @ApiModelProperty("是否已删除")
  private Boolean deleted;

  public String getAppName()
  {
    return appName;
  }

  public void setAppName(String appName)
  {
    this.appName = appName;
  }

  public String getAppViewName()
  {
    return appViewName;
  }

  public void setAppViewName(String appViewName)
  {
    this.appViewName = appViewName;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public Boolean getDeleted()
  {
    return deleted;
  }

  public void setDeleted(Boolean deleted)
  {
    this.deleted = deleted;
  }
}